End Users
Delete end user
Permanently delete an end user. This removes their record from the system. Note that if they interact with a widget again, a new end user record may be created automatically.
DELETE
/
end-users
/
{id}
Delete end user
curl --request DELETE \
--url https://app.usechar.ai/api/end-users/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://app.usechar.ai/api/end-users/{id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://app.usechar.ai/api/end-users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Invalid request data",
"data": {
"code": "<unknown>",
"field": "<string>",
"details": "<string>"
}
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Authentication required",
"data": {
"code": "<unknown>"
}
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Access denied",
"data": {
"code": "<unknown>",
"reason": "<string>"
}
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Resource not found",
"data": {
"code": "<unknown>",
"resource": "<string>",
"resourceId": "<string>"
}
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Resource already exists",
"data": {
"code": "<unknown>",
"resource": "<string>"
}
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "An internal error occurred",
"data": {
"code": "<unknown>"
}
}Authorizations
WorkOS JWT token. Obtain via WorkOS AuthKit authentication flow. The token must include organization_id claim for organization-scoped endpoints.
Path Parameters
Unique identifier (UUID) of the resource
Body
application/json
The body is of type object.
Response
OK
Response schema for delete operations
Indicates whether the deletion was successful
Previous
Update end userUpdate an existing end user. You can change email and metadata. The external_id cannot be changed after creation as it's used for identity mapping.
Next
⌘I
Delete end user

